> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove SSL Certificate

> Deletes an SSL certificate and its matching secret.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/storage-data.yml delete /storage/buckets/{bucketName}/ssl_certificate
openapi: 3.1.0
info:
  title: Telnyx Storage & Data API
  version: 2.0.0
  description: API for Storage & Data.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /storage/buckets/{bucketName}/ssl_certificate:
    delete:
      tags:
        - Bucket SSL Certificate
      summary: Remove SSL Certificate
      description: Deletes an SSL certificate and its matching secret.
      operationId: RemoveStorageSSLCertificate
      parameters:
        - name: bucketName
          in: path
          description: Bucket Name
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: SSL Certificate Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/SSLCertificate'
          headers: {}
        '401':
          description: Unauthorized
        '404':
          description: Bucket or SSL certificate not found
        '422':
          description: Unprocessable Entity
      deprecated: false
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const sslCertificate = await
            client.storage.buckets.sslCertificate.delete('');


            console.log(sslCertificate.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            ssl_certificate = client.storage.buckets.ssl_certificate.delete(
                "",
            )
            print(ssl_certificate.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tsslCertificate, err := client.Storage.Buckets.SslCertificate.Delete(context.TODO(), \"\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", sslCertificate.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.storage.buckets.sslcertificate.SslCertificateDeleteParams;

            import
            com.telnyx.sdk.models.storage.buckets.sslcertificate.SslCertificateDeleteResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    SslCertificateDeleteResponse sslCertificate = client.storage().buckets().sslCertificate().delete("");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            ssl_certificate = telnyx.storage.buckets.ssl_certificate.delete("")

            puts(ssl_certificate)
        - lang: CLI
          source: |-
            telnyx storage:buckets:ssl-certificate delete \
              --api-key 'My API Key' \
              --bucket-name ''
components:
  schemas:
    SSLCertificate:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the SSL certificate
        issued_to:
          type: object
          properties:
            common_name:
              type: string
              description: The common name of the entity the certificate was issued to
            organization:
              type: string
              description: The organization the certificate was issued to
            organization_unit:
              type: string
              description: The organizational unit the certificate was issued to
        issued_by:
          type: object
          properties:
            common_name:
              type: string
              description: The common name of the entity the certificate was issued by
            organization:
              type: string
              description: The organization the certificate was issued by
            organization_unit:
              type: string
              description: The organizational unit the certificate was issued by
        valid_from:
          type: string
          format: date-time
          description: The time the certificate is valid from
          example: '2020-01-01T00:00:00Z'
        valid_to:
          type: string
          format: date-time
          description: The time the certificate is valid to
          example: '2020-01-01T00:00:00Z'
        created_at:
          type: string
          format: date-time
          description: Time when SSL certificate was uploaded
          example: '2020-01-01T00:00:00Z'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````